<template>
  <div class="hello">
    <p>Number {{ localNumber }}</p>
  </div>
</template>

<script>
export default {
  name: "CountFromNumber",
  data() {
    return {};
  },
  props: {
    number: {
      type: Number,
      required: true,
    },
  },
  mounted() {
    setInterval(() => {
      // this.$emit("update:number", this.number + 1);
      this.localNumber ++ 
    }, 1000);
  },
  computed: {
    localNumber: {
      get() {
        return this.number;
      },
      set(value) {
        this.$emit("update:number", value);
      },
    },
  },
};
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>
</style>
